<?php
# Subroutine: adm_rank_remove.php called by Admin.php
# Xinfeng Chen, 2002.11.22
# Input: $f_name,$f_level,$f_special

require_once('bin/config.php');
require_once('admin/adm.inc');

#--- Validate dministrator ---
include('admin/adm_validate.php');
if(!$adm_validated){jumpTo('admin.php?cmd=logon'); exit;}

#--- Start Processing ---
require_once('core/class_forum_base.php');
CForumBase::setFileBase("$filepath");
require_once('core/base_memo_file.php');
require_once('core/class_rank.php');

#--- Prepare rank info ---
$oRnk=new CRank;
$oRnk->load();
$oRnk->removeRank($name);
$oRnk->store();

#--- Jump to rank page ---
include('admin/adm_rank.php');

exit;


?>